Method: appstoreappsreview.updateappstorehostedapp

更新應用程式商店中應用程式的詳細資料。您可以使用這個功能提供新應用程式的詳細資料,或更新現有應用程式的詳細資料。更新內容建立完成後,系統會立即送交審查。

HTTP 要求

POST https://androidpublisher.googleapis.com/androidpublisher/v3/appstore/{appStorePackageName}/apps:update

這個網址使用 gRPC 轉碼語法。

路徑參數

參數
appStorePackageName

string

必填。第三方應用程式商店的套件名稱。

要求主體

要求主體會包含結構如下的資料:

JSON 表示法
{
  "packageName": string,
  "appDetails": {
    object (AppStoreAppDetails)
  },
  "activeLocalizedStoreListings": [
    {
      object (AppStoreAppStoreListing)
    }
  ],
  "activeApks": {
    object (AppStoreAppActiveApks)
  },
  "policyDeclarations": [
    {
      object (AppStoreAppPolicyDeclaration)
    }
  ]
}
欄位
packageName

string

必填。應用程式的套件名稱。

appDetails

object (AppStoreAppDetails)

必填。應用程式的一般開發人員詳細資料。

activeLocalizedStoreListings[]

object (AppStoreAppStoreListing)

必填。更新的在地化商店資訊詳細資料。

activeApks

object (AppStoreAppActiveApks)

必填。應用程式目前發布的 APK。

policyDeclarations[]

object (AppStoreAppPolicyDeclaration)

必填。應用程式的政策聲明。

回應主體

如果成功,回應主體會留白。

授權範圍

需要下列 OAuth 範圍:

  • https://www.googleapis.com/auth/androidpublisher

AppStoreAppDetails

應用程式詳細資料。

JSON 表示法
{
  "developerName": string,
  "contactEmail": string,
  "developerWebsite": string
}
欄位
developerName

string

必填。應用程式開發人員的名稱。

contactEmail

string

必填。應用程式開發人員的聯絡電子郵件地址。

developerWebsite

string

(選用步驟) 開發人員或應用程式的網站連結。

AppStoreAppStoreListing

在地化的商店資訊。這些是應用程式商店中顯示的應用程式詳細資料。

JSON 表示法
{
  "languageCode": string,
  "appName": string,
  "fullDescription": string,
  "shortDescription": string,
  "appIconId": string,
  "screenshotId": [
    string
  ],
  "videoLink": string
}
欄位
languageCode

string

必填。房源的語言代碼 (例如「en-US」)。

appName

string

必填。應用程式名稱。

fullDescription

string

必填。應用程式的完整說明文字。

shortDescription

string

(選用步驟) 應用程式的簡短摘要。

appIconId

string

必填。從 appstoreappsreview.uploadimage 產生,用於主要應用程式圖示的圖片 ID。

screenshotId[]

string

必填。螢幕截圖庫的多個圖片 ID。

AppStoreAppActiveApks

應用程式商店託管應用程式的有效 APK 相關資訊。

JSON 表示法
{
  "activeApkSets": [
    {
      object (AppStoreAppActiveApkSet)
    }
  ]
}
欄位
activeApkSets[]

object (AppStoreAppActiveApkSet)

必填。清單:指定要一起發布的 APK 集。這份清單應包含您為這個應用程式發布的所有 APK。請為每個可安裝的 APK 組合新增項目。

AppStoreAppActiveApkSet

可安裝的一組有效 APK。這個套組中的所有 APK 應屬於相同版本的應用程式。如果應用程式是透過 APK 發布,APK 套組可能只包含 1 個 APK。如果應用程式使用應用程式套件 (或類似技術),這組 APK 應包含可能為該應用程式安裝的所有 APK (包括選用 APK)。這組 APK 應可一併安裝。如果某些 APK 互斥,無法同時安裝,則應建立個別的 AppStoreAppActiveApkSet。

JSON 表示法
{
  "baseApkId": string,
  "splitApkId": [
    string
  ],
  "versionCode": string,
  "alreadyPublishedOnPlay": boolean
}
欄位
baseApkId

string

必填。主要基礎應用程式模組的 ID。例如 base.apk 或 app.apk。

splitApkId[]

string

(選用步驟) 可能與基本 APK 一併安裝的分割模組 ID。如果未使用應用程式套件 (或類似技術),則可為空白。範例:config.en.apk。

versionCode

string (int64 format)

(選用步驟) 這個 APK 套件代表的版本代碼。

alreadyPublishedOnPlay

boolean

(選用步驟) 這個有效 APK 組合中參照的所有 APK 是否都已發布到 Play 商店 (或衍生自發布到 Play 商店的應用程式套件)。設定這項屬性時,必須提供 versionCode。

AppStoreAppPolicyDeclaration

政策聲明及其回覆。

JSON 表示法
{
  "declarationId": string,
  "responses": [
    {
      object (PolicyResponse)
    }
  ]
}
欄位
declarationId

string

必填。政策聲明的 ID。

responses[]

object (PolicyResponse)

必填。這項聲明的回覆。

PolicyResponse

針對應用程式政策問題的個別回覆 (答案)。

JSON 表示法
{
  "questionId": string,

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "stringResponse": {
    object (PolicyStringResponse)
  },
  "singleChoiceResponse": {
    object (PolicySingleChoiceResponse)
  },
  "multipleChoiceResponse": {
    object (PolicyMultipleChoiceResponse)
  },
  "groupResponse": {
    object (PolicyGroupResponse)
  },
  "keyedGroupResponse": {
    object (PolicyKeyedGroupResponse)
  },
  "booleanResponse": {
    object (PolicyBooleanResponse)
  },
  "documentResponse": {
    object (PolicyDocumentResponse)
  }
  // End of mutually exclusive fields.
}
欄位
questionId

string

必填。要回答的問題 ID。

特定回應值。以下列出互斥的欄位。回應中最多會設定一個欄位:
stringResponse

object (PolicyStringResponse)

(選用步驟) 字串回應。

singleChoiceResponse

object (PolicySingleChoiceResponse)

(選用步驟) 單選題答案。

multipleChoiceResponse

object (PolicyMultipleChoiceResponse)

(選用步驟) 選擇題答案。

groupResponse

object (PolicyGroupResponse)

(選用步驟) 群組回覆。

keyedGroupResponse

object (PolicyKeyedGroupResponse)

(選用步驟) 以鍵值為基礎的群組回應。

booleanResponse

object (PolicyBooleanResponse)

(選用步驟) 布林值回應。

documentResponse

object (PolicyDocumentResponse)

(選用步驟) 文件回覆。

互斥欄位的結尾。

PolicyStringResponse

任何最適合編碼為字串的回應。包括網址和多行文字欄位。

JSON 表示法
{
  "value": string
}
欄位
value

string

必填。提供的字串值。

PolicySingleChoiceResponse

從多個選項中選擇一個。

JSON 表示法
{
  "value": string
}
欄位
value

string

必填。提供的值。

PolicyMultipleChoiceResponse

可從多個選項中選擇多項答案的回覆。

JSON 表示法
{
  "values": [
    string
  ]
}
欄位
values[]

string

(選用步驟) 提供的值。

PolicyGroupResponse

重複的一組回覆。

JSON 表示法
{
  "groups": [
    {
      object (Group)
    }
  ]
}
欄位
groups[]

object (Group)

(選用步驟) 問題的回覆群組。

群組

一組回覆。

JSON 表示法
{
  "responses": [
    {
      object (NestedPolicyResponse)
    }
  ]
}
欄位
responses[]

object (NestedPolicyResponse)

必填。群組中的回覆。

NestedPolicyResponse

針對應用程式政策問題的個別巢狀回應。巢狀回應與一般回應類似,但沒有群組。

JSON 表示法
{
  "questionId": string,

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "stringResponse": {
    object (PolicyStringResponse)
  },
  "singleChoiceResponse": {
    object (PolicySingleChoiceResponse)
  },
  "multipleChoiceResponse": {
    object (PolicyMultipleChoiceResponse)
  },
  "booleanResponse": {
    object (PolicyBooleanResponse)
  },
  "documentResponse": {
    object (PolicyDocumentResponse)
  }
  // End of mutually exclusive fields.
}
欄位
questionId

string

必填。要回答的問題 ID。

特定回應值。以下列出互斥的欄位。回應中最多會設定一個欄位:
stringResponse

object (PolicyStringResponse)

(選用步驟) 字串回應。

singleChoiceResponse

object (PolicySingleChoiceResponse)

(選用步驟) 單選題答案。

multipleChoiceResponse

object (PolicyMultipleChoiceResponse)

(選用步驟) 選擇題答案。

booleanResponse

object (PolicyBooleanResponse)

(選用步驟) 布林值回應。

documentResponse

object (PolicyDocumentResponse)

(選用步驟) 文件回覆。

互斥欄位的結尾。

PolicyBooleanResponse

回應一律為布林值。

JSON 表示法
{
  "value": boolean
}
欄位
value

boolean

必填。提供的布林值。

PolicyDocumentResponse

上傳的文件。必須是單一邏輯文件 (例如金融執照)。

JSON 表示法
{
  "documentId": string,

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "expiryDate": {
    object (Date)
  },
  "nonExpiring": boolean
  // End of mutually exclusive fields.
}
欄位
documentId

string

必填。上傳文件的 ID。

文件效期資訊。以下列出互斥的欄位。回應中最多會設定一個欄位:
expiryDate

object (Date)

(選用步驟) 文件到期日。

nonExpiring

boolean

(選用步驟) 如果確認文件沒有到期日,則傳回 True。

互斥欄位的結尾。

PolicyKeyedGroupResponse

一組回應,每個回應都以允許集合中的不同鍵識別。

JSON 表示法
{
  "groups": [
    {
      object (KeyedGroup)
    }
  ]
}
欄位
groups[]

object (KeyedGroup)

(選用步驟) 問題的回覆群組。這個清單中的每個 KeyedGroup.key 都不得重複。

KeyedGroup

一組回應,附帶鍵。

JSON 表示法
{
  "key": string,
  "responses": [
    {
      object (NestedPolicyResponse)
    }
  ]
}
欄位
key

string

必填。這個群組的鍵。

responses[]

object (NestedPolicyResponse)

必填。這個群組中的回覆。